/*
    WaveDefaultsCmd.h - set default parameters for waves and mixdown

    Will Eighteen, 2000: will@opaline.demon.co.uk             
*/

#ifndef WAVEDEFAULTSCMD_H
#define WAVEDEFAULTSCMD_H

#include "Cmd.h"

typedef void ( *enterCallback ) ( void *, char * );
typedef void ( *cancelCallback ) ( void * );


class LineEdit;

class WaveDefaultsCmd : public Cmd
{
	protected:
		virtual void doCommand();
		virtual void undoCommand();
		
	public:
		WaveDefaultsCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "WaveDefaultsCmd" ); }
		
	private:
		// note 'ok' is mapped to 'enter' by TextEdit
		static void enterCallback ( void *, char * );
		static void cancelCallback ( void * );
		void enter( char * );
		LineEdit *_edit;
		Boolean _popupRealised;
};

#endif

/*
  Notes:
  
  UndoCommand is not implemeted here.
  
  The 'cancel' command is defaulted in TextEdit.
  
  'doCommand()' should provide a resource to be displayed.
  'enter' should set a resource from text retrieved from the text widget.
*/
